JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
MidiMessageSequence::MidiEventHolder Class Reference
juce_audio_basics » midi

Structure used to hold midi events in the sequence. More...

`#include <juce_MidiMessageSequence.h>`

## Public Attributes
MidiMessage | message
| The message itself, whose timestamp is used to specify the event's time.
MidiEventHolder * | noteOffObject = nullptr
| The matching note-off event (if this is a note-on event).

## Detailed Description

Structure used to hold midi events in the sequence.

These structures act as 'handles' on the events as they are moved about in the list, and make it quick to find the matching note-offs for note-on events.

See also
  MidiMessageSequence::getEventPointer

## Member Data Documentation

## ◆ message

MidiMessage MidiMessageSequence::MidiEventHolder::message

The message itself, whose timestamp is used to specify the event's time.

## ◆ noteOffObject

MidiEventHolder* MidiMessageSequence::MidiEventHolder::noteOffObject = nullptr

The matching note-off event (if this is a note-on event).

If this isn't a note-on, this pointer will be nullptr.

Use the MidiMessageSequence::updateMatchedPairs() method to keep these note-offs up-to-date after events have been moved around in the sequence or deleted.

The documentation for this class was generated from the following file:

- juce_MidiMessageSequence.h